<?php $pageTitle='Create a standard screen';
include realpath(__DIR__).'/../../core/_common/header.php'; ?>
<script type="text/javascript">
var canCreate=<?php echo screen::canCreateStandardScreens() ? 'true' : 'false' ; ?>;

document.observe("dom:loaded",function(){
	var grid=ui.grid();

	if(!canCreate){ 
		grid.box({ 
			classes:'r1 c2 h1 w1',
			title:'Cannot create',
			content:'You cannot create scandard sceens because you do not have create permissions in the "Shared" project.'
		});
	} else {
	
		var fileBox=grid.box({ 
			classes:'r1 c1 h1 w1',
			title:'Create from file'
		});
	
		var ffrm=fileBox.form({
			action:'/api/screen/',
			method:'post',
		});
		ffrm.hiddenField("isstandard","1");
		ffrm.fileField({ label:"Screen file", name:'file' });
		ffrm.createButton();
	
		var detailsBox=grid.box({ 
			classes:'r2 c1 h2 w1',
			title:'Create without a file'
		});
	
		var dfrm=detailsBox.form({
			action:'/api/screen/',
			method:'post',
		});
		dfrm.hiddenField("isstandard","1");
		dfrm.textField({ label:"Name", name:'name', value:'' });
		dfrm.textField({ label:"Manufacturer", name:'manufacturer', value:'' });
		dfrm.textField({ label:"Catalogue number", name:'catalognumber', value:'' });
		dfrm.textField({ label:"Number of rows", name:'rows', value:'8' });
		dfrm.textField({ label:"Number of columns", name:'cols', value:'12' });
		dfrm.createButton();
	}
	
});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php'; ?>
